#!/usr/bin/env python3
"""
Вспомогательный скрипт для отправки времени в изолированную сеть
Запускается на ноутбуке или Android (Termux), если нет необходимости в logger.
Раз в 5 секунд вещает время в виде udp рассылки в порт 48899 в подсеть по маске.
В исходном виде подсеть 192.168.0.255, можно расширить на несколько 192.168.255.255,
Однако чем уже диапазон рассылки, тем выше вероятность нормальной работы.
Не забываем менять маску под свою сеть.
"""

import socket
import time
import threading

def broadcast_time():
    sock = socket.socket(socket.AF_INET, socket.SOCK_DGRAM)
    sock.setsockopt(socket.SOL_SOCKET, socket.SO_BROADCAST, 1)
    
    while True:
        epoch = int(time.time())
        message = f"Time:{epoch}"
        sock.sendto(message.encode(), ('192.168.0.255', 48899))
        time.sleep(5)
if __name__ == "__main__":
    # Запускаем
    t1 = threading.Thread(target=broadcast_time, daemon=True)
    t1.start()
    
    try:
        while True:
            time.sleep(1)
    except KeyboardInterrupt:
        print("Остановлено")